<!-- Generated by pkgdown: do not edit by hand -->
<!DOCTYPE html>
<html lang="en">
  <head>
  <meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<title>Function reference • ream</title>


<!-- jquery -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
<!-- Bootstrap -->

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/css/bootstrap.min.css" integrity="sha256-bZLfwXAP04zRMK2BjiO8iu9pf4FbLqX6zitd+tIvLhE=" crossorigin="anonymous" />

<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/js/bootstrap.min.js" integrity="sha256-nuL8/2cJ5NDSSwnKD8VqreErSWHtnEP9E7AySL+1ev4=" crossorigin="anonymous"></script>

<!-- bootstrap-toc -->
<link rel="stylesheet" href="../bootstrap-toc.css">
<script src="../bootstrap-toc.js"></script>

<!-- Font Awesome icons -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous" />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous" />

<!-- clipboard.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script>

<!-- headroom.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script>

<!-- pkgdown -->
<link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script>




<meta property="og:title" content="Function reference" />




<!-- mathjax -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script>

<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->



  </head>

  <body data-spy="scroll" data-target="#toc">
    <div class="container template-reference-index">
      <header>
      <div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">ream</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.0.0.9000</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
        <li>
  <a href="../index.html">
    <span class="fas fa fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
<li class="dropdown">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
    Articles
     
    <span class="caret"></span>
  </a>
  <ul class="dropdown-menu" role="menu">
    <li>
      <a href="../articles/demo.html">Test: Custom output (bookdown equations)</a>
    </li>
  </ul>
</li>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        <li>
  <a href="https://gitlab.com/chinook-technical-committee/ream/">
    <span class="fab fa fab fa-github fa-lg"></span>
     
  </a>
</li>
      </ul>
      
    </div><!--/.nav-collapse -->
  </div><!--/.container -->
</div><!--/.navbar -->

      

      </header>

<div class="row">
  <div class="contents col-md-9">
    <div class="page-header">
      <h1>Reference</h1>
    </div>

    <table class="ref-index">

    <colgroup>
      
      <col class="alias" />
      <col class="title" />
    </colgroup>

    <tbody>
      <tr>
        <th colspan="2">
          <h2 id="section-all-functions" class="hasAnchor"><a href="#section-all-functions" class="anchor"></a>All functions</h2>
          <p class="section-desc"></p>
        </th>
      </tr>
      
      
    </tbody><tbody>
      
      
      <tr>
        
        <td>
          <p><code><a href="addNewFishery.html">addNewFishery()</a></code> </p>
        </td>
        <td><p>addNewFishery</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="CalcAnnualTotals.html">CalcAnnualTotals()</a></code> </p>
        </td>
        <td><p>CalcAnnualTotals</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="CalcCNR.html">CalcCNR()</a></code> </p>
        </td>
        <td><p>CalcCNR</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="CalcCohort.html">CalcCohort()</a></code> </p>
        </td>
        <td><p>CalcCohort</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="CalcCohort_IncompleteBrood.html">CalcCohort_IncompleteBrood()</a></code> </p>
        </td>
        <td><p>CalcCohort_IncompleteBrood</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="CalcEstmCohrt.html">CalcEstmCohrt()</a></code> </p>
        </td>
        <td><p>CalcEstmCohrt</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="CalcEstmCohrt2.html">CalcEstmCohrt2()</a></code> </p>
        </td>
        <td><p>CalcEstmCohrt2</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="CalcExploitRates.html">CalcExploitRates()</a></code> </p>
        </td>
        <td><p>CalcExploitRates</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="CalcFinalTotals.html">CalcFinalTotals()</a></code> </p>
        </td>
        <td><p>CalcFinalTotals</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="CalcLegal.html">CalcLegal()</a></code> </p>
        </td>
        <td><p>CalcLegal</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="CheckCompleteBY.html">CheckCompleteBY()</a></code> </p>
        </td>
        <td><p>CheckCompleteBY</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="CheckFishNames.html">CheckFishNames()</a></code> </p>
        </td>
        <td><p>Check to make sure the fishery names are the same in all C-files. If this is the first CWT code for the first brood year then assign gear code .</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="CheckNumAges.html">CheckNumAges()</a></code> </p>
        </td>
        <td><p>CheckNumAges</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="CheckNumFish.html">CheckNumFish()</a></code> </p>
        </td>
        <td><p>Check to make sure number of fisheries is the same in all subsequent C-files</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="ChooseFishType.html">ChooseFishType()</a></code> </p>
        </td>
        <td><p>ChooseFishType</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="cmdOK_Click.html">cmdOK_Click()</a></code> </p>
        </td>
        <td><p>cmdOK_Click</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="CNRNoDir.html">CNRNoDir()</a></code> </p>
        </td>
        <td><p>CNRNoDir</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="CombineFish.html">CombineFish()</a></code> </p>
        </td>
        <td><p>CombineFish

Combine fisheries following the CMB file groupings.</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="CreateTagCodeList.html">CreateTagCodeList()</a></code> </p>
        </td>
        <td><p>Create tag code list. Read data from cds file and output tag list this function was stolen from ERAtools and does not match the vb code, but produces same results.</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="ERA_Output_ByStock.html">ERA_Output_ByStock()</a></code> </p>
        </td>
        <td><p>ERA_Output_ByStock</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="ERA_Output_ByStockAndFishery.html">ERA_Output_ByStockAndFishery()</a></code> </p>
        </td>
        <td><p>ERA_Output_ByStockAndFishery</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="FindBY.html">FindBY()</a></code> </p>
        </td>
        <td><p>FindBY</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="FindSubScrpt.html">FindSubScrpt()</a></code> </p>
        </td>
        <td><p>FindSubScrpt</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="FindTerminal.html">FindTerminal()</a></code> </p>
        </td>
        <td><p>FindTerminal</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="FindTotRel.html">FindTotRel()</a></code> </p>
        </td>
        <td><p>FindTotRel</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="getcdslist.html">getcdslist()</a></code> </p>
        </td>
        <td><p>getcdslist</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="getcm1list.html">getcm1list()</a></code> </p>
        </td>
        <td><p>getcm1list</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="GETPNVDATA.html">GETPNVDATA()</a></code> </p>
        </td>
        <td><p>GETPNVDATA</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="init_stock_data.html">init_stock_data()</a></code> </p>
        </td>
        <td><p>init_stock_data</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="openCASdb.html">openCASdb()</a></code> </p>
        </td>
        <td><p>openCASdb</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="OutputAnalysis.html">OutputAnalysis()</a></code> </p>
        </td>
        <td><p>OutputAnalysis</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="PopulateReleaseTablebyBYfromDB.html">PopulateReleaseTablebyBYfromDB()</a></code> </p>
        </td>
        <td><p>PopulateReleaseTablebyBYfromDB</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="PrimarySub.html">PrimarySub()</a></code> </p>
        </td>
        <td><p>PrimarySub</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="Print_CFILES.html">Print_CFILES()</a></code> </p>
        </td>
        <td><p>Write c-files to the output path</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="Print_HRJ.html">Print_HRJ()</a></code> </p>
        </td>
        <td><p>Print_HRJ</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="Print_IM.html">Print_IM()</a></code> </p>
        </td>
        <td><p>Print_IM</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="Print_OUT.html">Print_OUT()</a></code> </p>
        </td>
        <td><p>Print_OUT</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="print_SVR.html">print_SVR()</a></code> </p>
        </td>
        <td><p>print_SVR</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="print_THR.html">print_THR()</a></code> </p>
        </td>
        <td><p>print_THR</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="ProductionWeight.html">ProductionWeight()</a></code> </p>
        </td>
        <td><p>ProductionWeight</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="readCDSfile.html">readCDSfile()</a></code> </p>
        </td>
        <td><p>readCDSfile</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="readCfiles.html">readCfiles()</a></code> </p>
        </td>
        <td><p>readCfiles</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="readCfilesDB.html">readCfilesDB()</a></code> </p>
        </td>
        <td><p>readCfilesDB</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="readCM1file.html">readCM1file()</a></code> </p>
        </td>
        <td><p>readCM1file</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="readCMBspreadsheet.html">readCMBspreadsheet()</a></code> </p>
        </td>
        <td><p>readCMBspreadsheet</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="readOUTfileBY.html">readOUTfileBY()</a></code> </p>
        </td>
        <td><p>Read Coshak *.out files that are brood year and age specific</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="readOUTfileBYrollup.html">readOUTfileBYrollup()</a></code> </p>
        </td>
        <td><p>Read Coshak *.out files that are summaries across all brood years.</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="readsetofQs.html">readsetofQs()</a></code> </p>
        </td>
        <td><p>Test if ccf files are read in correctly. Original VB used to read in the ccf files, but it was too hard and slow to translate directly.</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="ReduceAdltEqv.html">ReduceAdltEqv()</a></code> </p>
        </td>
        <td><p>ReduceAdltEqv</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="ResetCatches.html">ResetCatches()</a></code> </p>
        </td>
        <td><p>ResetCatches</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="SaveStkFile.html">SaveStkFile()</a></code> </p>
        </td>
        <td><p>SaveStkFile</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="SetBY.html">SetBY()</a></code> </p>
        </td>
        <td><p>SetBY</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="ShakerMethod1.html">ShakerMethod1()</a></code> </p>
        </td>
        <td><p>ShakerMethod1</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="ShakerMethod4.html">ShakerMethod4()</a></code> </p>
        </td>
        <td><p>ShakerMethod4</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="StartFormconst.html">StartFormconst()</a></code> </p>
        </td>
        <td><p>StartFormconst</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="sumCat2.html">sumCat2()</a></code> </p>
        </td>
        <td><p>sumCat2</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="sumCat3.html">sumCat3()</a></code> </p>
        </td>
        <td><p>sumCat3</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="sumCat4.html">sumCat4()</a></code> </p>
        </td>
        <td><p>sumCat4</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="SumMatAgeCat.html">SumMatAgeCat()</a></code> </p>
        </td>
        <td><p>SumMatAgeCat</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="SumTotCat_Age.html">SumTotCat_Age()</a></code> </p>
        </td>
        <td><p>SumTotCat_Age</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="SumYearCat.html">SumYearCat()</a></code> <code><a href="SumYearCat.html">SumYearCat()</a></code> </p>
        </td>
        <td><p>SumYearCat</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="TestBY.html">TestBY()</a></code> </p>
        </td>
        <td><p>TestBY</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="testreadxl.html">testreadxl()</a></code> </p>
        </td>
        <td><p>dummy test</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="writeOUTfileBY.html">writeOUTfileBY()</a></code> </p>
        </td>
        <td><p>Export list to brood year specific *.out file</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="writeOUTfileBYrollup.html">writeOUTfileBYrollup()</a></code> </p>
        </td>
        <td><p>Export list to *.out file of summaries across brood years</p></td>
      </tr>
    </tbody>
    </table>
  </div>

  <div class="col-md-3 hidden-xs hidden-sm" id="pkgdown-sidebar">
    <nav id="toc" data-toggle="toc" class="sticky-top">
      <h2 data-toc-skip>Contents</h2>
    </nav>
  </div>
</div>


      <footer>
      <div class="copyright">
  <p>Developed by Catarina Wor, Michael Folkes, Mark McMillan, Antonio Velez Espino, David Leonard, Tommy Garrison, Derek Dapp, Oliver Miller, Nicholas Komick.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.5.1.</p>
</div>

      </footer>
   </div>

  


  </body>
</html>


